Dear Forum,
I am looking for a snippet of NXOpen code to determine if a part is already open.
I use the following lines of code to initially open the part:
Dim part1 As NXOpen.BasePart
Dim partLoadStatus1 As NXOpen.PartLoadStatus
part1 = theSession.Parts.OpenBaseDisplay(mWorkingFolder &...
Aha. A double get. Good find. I was looking at the first level of the dimension class property under the "getUnitsFormarPreferences" but I was only looking at the properties I didn't check out the methods.
I like using this one instead of getting it from the builder. It makes sense because...
Hi Cowski,
I don't see "DualDimensionFormat" as a property of the dimension object.
I am cycling through all the dimension in the workpart using the loop below. I am not seeing "DualDimensionFormat" as a property or method of mydim object of a dimension class.
For myDim as dimension in...
That's great. But I am cycling through the dimensions in the workpart. How do I get the
annotations properties of the "dimension" object. Code Snippet Below:
For Each myDim As Dimension In workpart.dimension
Dim editSettingsBuilder1 As...
Dear Forum,
I am creating an assembly with components made from part families. When I replacement a component within the assembly with another part within the same part family NX is throwing an error stating, "The following components were excluded from the replacement operation: Part is...
Dear Forum,
In NXOpen is there a way to find out whether you are in drafting or modeling? What is the NXOpen call to determine if the user is in drafting mode or modeling mode?
Thanks.
I have one dll that calls another dll. Everything works fine when I am running the app inside of visual studio. But, when I copy and paste the dll's into another location. The one dll opens however when it tries to call the other dll it can't. What am I doing wrong here?? Please help.
Dear Forum,
I am creating a UI Block styler for the creation of associated points within a component or within an assembly. The specify point control work great for creating a point within a component. But doesn't allow the selection of edges or any of the point constructor features within...
Dear Forum,
I've been using "theUfSession.Ui.DisplayMessage" to display a message box to the user. However, I need a similar message box with the ability for the user to enter a single number. Is there something similar to "theUfSession.Ui.DisplayMessage" message box to allow the user to...
Dear Forum,
In the past, I've used a cloning log file to clone an assembly. It's been awhile so I've completely forget what the format of the cloning log file looks like and how to execute it. Does anyone know how to create this cloning log file and how to execute it?
Thanks.
In this situation there is only one child component and one grandchild component
I ended up doing this for the child component:
Dim theComponent1 As Assemblies.Component = workpart.ComponentAssembly.RootComponent.GetChildren()(0)
CType(theComponent1.Prototype, Part).LoadFully()
Dim compPart1...
Hi Cowski,
For now, there is only one solid body within the component. So, I am passing in the ComponentToBeWaveLinked. The code below works for a single level component in the tree. I am cycling through the part object occurrences then getting the try to cast that occurrence into a body...
Hi cowski,
Below is a generic subroutine that I am creating to make a wavelink body in the parent of a component assembly. The line I am having issues with is Dim body1 As NXOpen.Body = CType(component1.FindObject("PROTO#.Bodies|LINKED_BODY(0)"), NXOpen. The components have solid bodies. In...
Dear Forum,
I am trying to find the equivalent for the following journal code CType(component1.FindObject("PROTO#.Bodies|LINKED_BODY(0)"), NXOpen.Body). I have babdy within a component of an assembly. I can get at the component but I need to get at the solid body within the component. Does...
Dear Forum,
I've developed some NXOpen code to Enlarge a face using the CreateEnlargeBuilder. However, that is not my issue. Sometimes, I need to enlarge along the V-direction and sometimes along the U-direction. The face that I am enlarging has multiple saddles and valleys therefore I can't...
Dear Forum,
It's been awhile since I've used KF and now I am trying to write to a file and need a line feed bread character. Does anyone know the line feed character for this function?
Thank you.